---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ConfigMap
  metadata:
    labels:
      funktion.fabric8.io/kind: Connector
      provider: fabric8
      project: connector-amq
      version: 1.1.24
      group: io.fabric8.funktion.connector
    name: amq
  data:
    deployment.yml: |
      ---
      apiVersion: extensions/v1beta1
      kind: Deployment
      metadata:
        labels:
          funktion.fabric8.io/kind: Subscription
          connector: amq
      spec:
        replicas: 1
        template:
          metadata:
            labels:
              funktion.fabric8.io/kind: Subscription
              connector: amq
          spec:
            containers:
            - image: fabric8/connector-amq:1.1.24
              name: connector
    schema.yml: |
      ---
      component:
        kind: component
        scheme: amq
        extendsScheme: jms
        syntax: amq:destinationType:destinationName
        title: AMQ
        description: Messaging with ActiveMQ
        label: messaging
        deprecated: false
        async: true
        javaType: io.fabric8.mq.camel.AMQComponent
        groupId: io.fabric8.ipaas.mq
        artifactId: camel-amq
        version: 2.2.164
    documentation.adoc: ""
